package com.qmth.eds.common.job.service.impl;

import com.qmth.eds.common.entity.ExamScheduleTask;
import com.qmth.eds.common.job.service.JobService;
import com.qmth.eds.common.service.AsyncTaskService;
import com.qmth.eds.common.service.ExamScheduleTaskService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * job service impl
 */
@Service
public class JobServiceImpl implements JobService {
    private static final Logger log = LoggerFactory.getLogger(JobServiceImpl.class);

    @Resource
    private ExamScheduleTaskService examScheduleTaskService;

    @Resource
    private AsyncTaskService asyncTaskService;

    @Override
    public void updateSchoolInfo() {

    }

    @Override
    public void getExamData(boolean isAuto) {
        List<ExamScheduleTask> examScheduleTaskList = examScheduleTaskService.listByCurrentDate();
        if (!examScheduleTaskList.isEmpty()) {
            for (ExamScheduleTask scheduleTask : examScheduleTaskList) {
                asyncTaskService.syncExamData(scheduleTask, isAuto);
            }
        }
    }

    @Override
    public void syncStudentScore(Long semesterId, Long examTypeId, Long collegeId, Integer examId) {
        asyncTaskService.syncStudentScore(semesterId, examTypeId, collegeId, examId);
    }
}
