package com.qmth.eds.common.service;

import com.qmth.boot.core.solar.model.AppInfo;
import com.qmth.eds.common.enums.AuthEnum;

/**
 * 授权信息service
 */
public interface AuthInfoService {

    /**
     * 授权信息初始化
     */
    AppInfo appInfoInit();

    /**
     * app是否过期
     *
     * @param code code
     */
    void appHasExpired(String code);

    /**
     * 离线激活
     *
     * @param licenseData licenseData
     */
    void updateLicense(byte[] licenseData) throws Exception;

    /**
     * 查询授权信息
     */
    Long selectAuthInfo();

    /**
     * 保存授权信息
     *
     * @param appInfo  授权信息对象
     * @param authEnum 类型
     * @param file     文件
     */
    public void saveAuthInfo(AppInfo appInfo, AuthEnum authEnum, byte[] file) throws Exception;
}