package com.qmth.eds.common.service;

import com.qmth.eds.common.entity.ExamScheduleTask;
import com.qmth.eds.common.entity.TBSyncTask;
import org.springframework.scheduling.annotation.Async;

/**
 * 同步数据到云阅卷 服务类
 */
public interface DataSyncService {

    /**
     * 武汉大学考务数据同步
     *
     * @param examScheduleTask examScheduleTask
     * @param tbSyncTask       tbSyncTask
     * @param isAuto           是否定时任务
     */
    void syncWuhanUniversityExamData(ExamScheduleTask examScheduleTask, TBSyncTask tbSyncTask, boolean isAuto);

    /**
     * 同步云阅卷考生成绩
     *
     * @param tbSyncTask tbSyncTask
     * @param examId     云阅卷考试ID
     */
    @Async
    void syncCloudMarkingStudentScoreData(TBSyncTask tbSyncTask, Integer examId);
}
