package com.qmth.eds.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.eds.common.entity.SysCollege;
import com.qmth.eds.common.mapper.SysCollegeMapper;
import com.qmth.eds.common.service.SysCollegeService;
import com.qmth.eds.common.util.ServletUtil;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 学院表 服务实现类
 * </p>
 */
@Service
public class SysCollegeServiceImpl extends ServiceImpl<SysCollegeMapper, SysCollege> implements SysCollegeService {

    @Override
    public List<SysCollege> listBySchoolId() {
        Long schoolId = Long.valueOf(ServletUtil.getRequestHeaderSchoolId().toString());
        QueryWrapper<SysCollege> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysCollege::getSchoolId, schoolId)
                .orderByAsc(SysCollege::getCode);
        return this.list(queryWrapper);
    }
}
